osgDB::XmlNode::ControlMap Class Reference

`#include <XmlParser>`

Inheritance diagram for osgDB::XmlNode::ControlMap:

## Public Types

typedef std::map< std::string, int > | ControlToCharacterMap
typedef std::map< int, std::string > | CharacterToControlMap

## Public Member Functions

| ControlMap ()
void | addControlToCharacter (const std::string &control, int c)

## Public Attributes

ControlToCharacterMap | _controlToCharacterMap
CharacterToControlMap | _characterToControlMap

## Member Typedef Documentation

## CharacterToControlMap

typedef std::map< int, std::string> osgDB::XmlNode::ControlMap::CharacterToControlMap

## ControlToCharacterMap

typedef std::map< std::string, int > osgDB::XmlNode::ControlMap::ControlToCharacterMap

## Constructor & Destructor Documentation

## ControlMap()

osgDB::XmlNode::ControlMap::ControlMap | ( |  | ) |

## Member Function Documentation

## addControlToCharacter()

void osgDB::XmlNode::ControlMap::addControlToCharacter | ( | const std::string & | control,
|  | int | c )

## Member Data Documentation

## _characterToControlMap

CharacterToControlMap osgDB::XmlNode::ControlMap::_characterToControlMap

## _controlToCharacterMap

ControlToCharacterMap osgDB::XmlNode::ControlMap::_controlToCharacterMap

The documentation for this class was generated from the following file:

- XmlParser